
Figure - Bug #119008
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT3】【Monkey】120版本Monkey测试异常停止
2023-07-10 10:51 - CD TEST-方永红

Status: New Start date: 2023-07-10

Priority: High Due date:

Assignee: CD SYSTEM-夏旭 % Done: 0%

Category: SYSTEM Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0120

Resolution: -- Degrated: --

Severity: Critical Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: Monkey Test Root cause:

Description

【测试版本】

中控0092

副屏0120

【测试命令】

monkey --pkg-blacklist-file /sdcard/blackList.txt --hprof --throttle 500 -s 1234567 --pct-touch 35 --pct-motion 25 --pct-appswitch 30 --pct-pinchzoom

5 --pct-trackball 0 --pct-anyevent 5 --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes --ignore-native-crashes

--pct-syskeys 0 -v -v -v 12000000 2>/sdcard/error.txt 1>/sdcard/info.txt

【测试详情】

monkey异常停止，设备熄屏

History

#1 - 2023-07-10 10:56 - CD TEST-方永红

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/119008

#2 - 2023-07-10 11:26 - CD FW 曹覃刚

- Category changed from CD-FW to pending 暂时不解决

- Assignee changed from CD FW 曹覃刚 to CD SYSTEM-夏旭

■ 我的分析

低内存system_server被杀掉, 与 #118893 #118126 问题类似，需要system组的同学帮忙看下

-------------

07-08 20:23:30.142     0     0 E         : [21751.259741] Out of memory: Kill process 1741 (system_server) score 0 or sacrifice child

07-08 20:23:30.150     0     0 E         : [21751.260347] Killed process 1741 (system_server) total-vm:21649584kB, anon-rss:10988kB, file-rss:0kB, shmem-rss:0kB

oom_score_adj=-900

07-08 20:23:30.303     0     0 I [21751.423685] oom_reaper: reaped process 1741 (system_server), now anon-rss:0kB, file-rss:150348kB, shmem-rss:348kB

-------------

■ 下一步计划

system组的同学帮忙分析
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/119008


#3 - 2023-07-10 11:26 - CD FW 曹覃刚

- Category changed from pending 暂时不解决 to SYSTEM

#4 - 2023-07-18 09:51 - CD SYSTEM-夏旭

【当前进展】

同118893 目前118893正在压测中

压测6天 未复现

#5 - 2023-07-19 17:36 - CD TEST-方永红

7.19

持续压测中，暂未复现
